RewriteEngine on
AddDefaultcharset UTF-8

# Main page
RewriteRule ^([a-z]+)\.xhtml$ $1.php [L]
RewriteRule ^([a-z]+)-([a-z]+)\.xhtml$ $1.php?action=$2 [L]
RewriteRule ^([a-z]+)-([a-z]+)-([0-9]+)\.xhtml$ $1.php?action=$2&id=$3 [L]

# Hosting / Admin
RewriteRule ^hosting/([a-z]+)\.xhtml$ hosting/$1.php [L]
RewriteRule ^hosting/([a-z]+)-([a-z0-9]+)\.xhtml$ hosting/$1.php?action=$2 [L]
RewriteRule ^admin/([a-z]+)\.xhtml$ admin/$1.php [L]
RewriteRule ^admin/([a-z]+)-([a-z]+)\.xhtml$ admin/$1.php?action=$2 [L]
RewriteRule ^admin/([a-z]+)-([a-z]+)-([0-9]+)\.xhtml$ admin/$1.php?action=$2&id=$3 [L]

#Error page
RewriteRule ^error-([0-9]{1,3})\.xhtml$ error.php?eid=$1 [L]

